Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.style
Class AttributeValueTemplate

    java.lang.Object
      net.sf.saxon.style.AttributeValueTemplate

    public abstract class AttributeValueTemplate

extends Object

This class represents an attribute value template. The class allows an AVT to be parsed, and can construct an Expression that returns the effective value of the AVT. This is an abstract class that is never instantiated, it contains static methods only.

Method Summary
`static Expression` | `make(String avt, int lineNumber, StaticContext env)` Static factory method to create an AVT from an XSLT string representation.
`static Expression` | `makeFirstItem(Expression exp, StaticContext env)` Make an expression that extracts the first item of a sequence, after atomization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### make

    public static Expression make(String avt,
                                  int lineNumber,
                                  StaticContext env)
                           throws XPathException

  Static factory method to create an AVT from an XSLT string representation.

  Throws:
    `XPathException`

### makeFirstItem

    public static Expression makeFirstItem(Expression exp,
                                           StaticContext env)

  Make an expression that extracts the first item of a sequence, after atomization

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.